> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/de/powershell-befehle/new-udtypography.md).

# New-UDTypography

New-UDTypography rendert formatierten Text mit konfigurierbarer Variante, Ausrichtung und Schriftstärke in einem PowerShell Universal Dashboard.

### Übersicht

Mit Typography können Sie Text konfigurieren und anzeigen.

### Syntax

```powershell
New-UDTypography [-Id <String>] [-Variant <String>] [[-Text] <String>] [-Style <Hashtable>] [-ClassName <String>] [-Align <String>] [-GutterBottom] [-NoWrap] [-Truncate] [-FontWeight <String>] [-Sx <Hashtable>] [<CommonParameters>]

New-UDTypography [-Id <String>] [-Variant <String>] [-Content <ScriptBlock>] [-Style <Hashtable>] [-ClassName <String>] [-Align <String>] [-GutterBottom] [-NoWrap] [-Truncate] [-FontWeight <String>] [-Sx <Hashtable>] [<CommonParameters>]
```

### Beschreibung

Erstellt Typography. Mit Typography können Sie Text innerhalb eines Dashboards konfigurieren.

### Parameter

#### -Id

Die ID der Komponente. Standardmäßig ist es eine zufällige GUID.

```
Required?                    false
Position?                    named
Default value                ([Guid]::NewGuid()).ToString()
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Variant

Die Art des anzuzeigenden Textes.

```
Required?                    false
Position?                    named
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Text

Der zu formatierende Text.

```
Required?                    false
Position?                    1
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Content

Der zu formatierende Inhalt.

```
Required?                    false
Position?                    named
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Style

Eine Reihe von CSS-Stilen, die auf die Typography angewendet werden.

```
Required?                    false
Position?                    named
Default value                @{}
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -ClassName

Ein CSS-className, der auf die Typography angewendet wird.

```
Required?                    false
Position?                    named
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Align

Wie die Typography ausgerichtet wird.

```
Required?                    false
Position?                    named
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -GutterBottom

Der untere Abstand (Gutter Bottom).

```
Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -NoWrap

Deaktiviert den Textumbruch.

```
Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Truncate

Deaktiviert den Textumbruch und fügt bei Überlauf Auslassungspunkte hinzu.

```
Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -FontWeight

```
Required?                    false
Position?                    named
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Sx

Hashtable für themenbasiertes Styling.

```
Required?                    false
Position?                    named
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### Allgemeine Parameter

Dieses Cmdlet unterstützt die allgemeinen Parameter: Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, WarningVariable, OutBuffer, PipelineVariable und OutVariable. Weitere Informationen finden Sie unter [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Ausgaben

### Beispiele

#### Beispiel 1: Einfache Typography

```powershell
New-UDTypography -Text "Hello World" -Variant "h1" -Id "typography1"
```

Eine einfache Typography-Komponente, die eine Überschrift anzeigt.

#### Beispiel 2: Typography mit Stil

```powershell
New-UDTypography -Text "Hello World" -Variant "h1" -Style @{color = "red"} -Id "typography2"
```

Eine Typography-Komponente, die eine Überschrift in roter Farbe anzeigt.

#### Beispiel 3: Ausrichtung

```powershell
New-UDTypography -Text "Hello World" -Id "typography3" -Align "center"
```

Eine Typography-Komponente, die mit zentrierter Ausrichtung angezeigt wird.

#### Beispiel 4: Gutter Bottom

```powershell
New-UDTypography -Text "Hello World" -Id "typography4" -GutterBottom
```

Eine Typography-Komponente, die mit einem Abstand unterhalb des Textes angezeigt wird.

#### Beispiel 5: Kein Umbruch

```powershell
New-UDTypography -Text "Hello World! Hello World! Hello World! Hello World! Hello World! Hello World! Hello World! Hello World! Hello World! Hello World!" -Id "typography5" -NoWrap
```

Eine Typography-Komponente, die ohne Umbruch angezeigt wird.

#### Beispiel 6: Schriftstärke

```powershell
New-UDTypography -Text "Hello World" -Id "typography6" -FontWeight "bold"
```

Eine Typography-Komponente, die mit fetter Schriftstärke angezeigt wird.

#### Beispiel 7: Sx

```powershell
New-UDTypography -Text "Hello World" -Id "typography11" -Sx @{color = "red"}
```

Eine Typography-Komponente, die mithilfe der Theme-Eigenschaft sx in roter Farbe angezeigt wird.

#### Beispiel 8: Inhalt

```powershell
New-UDTypography -Id "typography12" -Content {
    New-UDButton -Text "Click Me" -Id "button1"
}
```

Eine Typography-Komponente, die eine Schaltfläche enthält.

#### Beispiel 9: Varianten

```powershell
@("h1", "h2", "h3", "h4", "h5", "h6", "subtitle1", "subtitle2", "body1", "body2",  "caption", "button", "overline", "srOnly", "inherit",  "display4", "display3", "display2", "display1", "headline", "title", "subheading") | ForEach-Object {
      New-UDTypography -Variant $_ -Text $_ -GutterBottom
      New-UDElement -Tag 'p' -Content {}
}
```

Eine Typography-Komponente, die alle Varianten anzeigt.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell-universal/de/powershell-befehle/new-udtypography.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
